Create a New Return

Create a new return for an order.

Required fields:

  • order_id
  • return_line_items

A successful request returns the newly created return details for the specified order.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Scope

erc-ecommerce-return:write

Body Params

Create Return Request.

The create return request body.

string
required
length between 1 and 255

The order ID.

string
length between 1 and 255

Optional brand identifier for the create return operation. If the account is multi-brand, this parameter is required.

return_line_items
array of objects
required
length ≥ 1

The line items to be returned.

return_line_items*
string
required
length between 1 and 255

The ID of the item from the Get Order Items API.

string
length between 1 and 255

The ID of the order delivery from the Get Order Items API.

integer
required
1 to 100000
Defaults to 1

The quantity to return, which must be positive.

integer
1 to 99

The restocking fee percentage, which must be between 1 and 99.

string
required

The reason type for the return item from the Get Return Reasons API.

string
length ≤ 255

The additional notes for the return reason.

exchange_line_items
array of objects

The line items to be exchanged. For Shopify stores the exchange items are recorded on the return and only become order items once the return is processed. When the store uses AfterShip for returns, the exchange items are ignored and the return is created without them.

exchange_line_items
number
> 0

The return shipping fee.

string

The return method for the return.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json